import os
import glob
import bpy.utils.previews

# Global variable to hold the icon collection
_icon_collection = None

def get_icon(icon_name):
    if _icon_collection and icon_name in _icon_collection:
        return _icon_collection[icon_name].icon_id
    return 0  # Return 0 (no icon) instead of None

def register():
    global _icon_collection
    _icon_collection = bpy.utils.previews.new()
    
    # Get the directory where this script is located
    addon_dir = os.path.dirname(os.path.realpath(__file__))
    icons_dir = os.path.join(addon_dir, "icons")
    
    # Load all PNG files from the icons directory
    for icon_path in glob.glob(os.path.join(icons_dir, "*.png")):
        icon_name = os.path.splitext(os.path.basename(icon_path))[0]
        _icon_collection.load(icon_name, icon_path, 'IMAGE')

def unregister():
    global _icon_collection
    if _icon_collection:
        bpy.utils.previews.remove(_icon_collection)
    _icon_collection = None